[arch-commits] Commit in ffmpeg/repos (testing-i686 testing-i686/PKGBUILD)

Paul Mattal paul at archlinux.org
Tue Jul 15 22:07:44 EDT 2008


    Date: Tuesday, July 15, 2008 @ 22:07:44
  Author: paul
Revision: 5451

Merged revisions 5410-5450 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/ffmpeg/trunk

........
  r5450 | paul | 2008-07-15 22:07:25 -0400 (Tue, 15 Jul 2008) | 2 lines
  
  upgpkg: ffmpeg 20080715-2
      better stripping logic, to make things smaller
........

Modified:
  ffmpeg/repos/testing-i686/	(properties)
  ffmpeg/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)


Property changes on: ffmpeg/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /ffmpeg/trunk:1-5409
   + /ffmpeg/trunk:1-5450

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-07-16 02:07:25 UTC (rev 5450)
+++ testing-i686/PKGBUILD	2008-07-16 02:07:44 UTC (rev 5451)
@@ -4,7 +4,7 @@
 
 pkgname=ffmpeg
 pkgver=20080715
-pkgrel=1
+pkgrel=2
 pkgdesc="Complete and free Internet live audio and video broadcasting solution for Linux/Unix"
 arch=(i686 x86_64)
 url="http://ffmpeg.mplayerhq.hu/"
@@ -41,8 +41,8 @@
   make DESTDIR="$pkgdir" install || return 1
   make DESTDIR="$pkgdir" install-man || return 1
 
-  # since pacman currently declines to strip libavcodec.a, do this for now
-  strip $startdir/pkg/usr/lib/libavcodec.a || return 1
+  # since makepkg currently declines to strip .a files, do this for now
+  strip --strip-debug $startdir/pkg/usr/lib/*.a || return 1
 }
 
 # vim:set ts=2 sw=2 et:





More information about the arch-commits mailing list